### Function

# Pango.attr_weight_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_weight_new (
      PangoWeight weight
    )

#### Description [src]

Create a new font weight attribute.

#### Parameters

`weight` | `PangoWeight`
| the weight

#### Return value

Returns: `PangoAttribute`
the newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.
Ownership of the data is transferred to the caller